/*=========================
GOOGLE FONT
=========================*/

@import url('https://fonts.googleapis.com/css2?family=Jost:wght@300;400;500;600;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Jost',sans-serif;
    background:#fafafa;
    color:#222;
    overflow-x:hidden;
}

img{
    max-width:100%;
    display:block;
}

a{
    text-decoration:none;
}

button{
    font-family:'Jost',sans-serif;
    cursor:pointer;
    border:none;
}

.container{
    width:92%;
    max-width:1350px;
    margin:auto;
}


/*=========================
HERO
=========================*/

.book-hero{

padding: 90px 0 50px;

background: #000;
}

.book-grid{

display:grid;

grid-template-columns:1fr 1fr;

gap:70px;

align-items: flex-start;
}


/*=========================
LEFT GALLERY
=========================*/

.book-gallery{

display:flex;

gap:20px;

padding-top: 5rem;
}

.thumbs{

    display:flex;

    flex-direction:column;

    gap:18px;

}

.thumb{

width: 134px;

height: 114px;

object-fit:cover;

border-radius:12px;

cursor:pointer;

border:2px solid transparent;

transition:.35s;

background:#fff;

box-shadow:0 10px 30px rgba(0,0,0,.08);
}

.thumb:hover{

    transform:translateY(-6px);

    border-color:#f59e0b;

}

.thumb.active{

    border-color:#f59e0b;

}

.main-book{

object-fit: cover;

position:relative;

background:#fff;

border-radius:25px;

overflow:hidden;

padding:35px;

box-shadow:0 25px 60px rgba(0,0,0,.08);

width: 100%;

height: 517px;
}

.main-book img{

width: 100%;

height: 474px;

transition:.5s;

object-fit: cover;
}

.main-book:hover img{

    transform:scale(1.08);

}

.badge{

    position:absolute;

    top:20px;

    left:20px;

    background:#ff6b00;

    color:#fff;

    padding:10px 20px;

    border-radius:40px;

    font-size:14px;

    font-weight:600;

    z-index:5;

}


/*=========================
RIGHT
=========================*/

.stock{

    display:inline-flex;

    align-items:center;

    gap:8px;

    background:#e8fff0;

    color:#0b8f44;

    padding:8px 18px;

    border-radius:30px;

    font-size:14px;

    margin-bottom:18px;

}

.book-content h1{

font-size:52px;

line-height:1.1;

margin-bottom:15px;

color: #fff;
}

.author{

font-size:20px;

margin-bottom:20px;

color: #fff;
}

.author span{

    color:#ff6b00;

    font-weight:600;

}

.rating{

font-size:20px;

color:#f7b500;

margin-bottom:28px;

DISPLAY: NONE;
}

.rating span{

    color:#666;

    margin-left:10px;

    font-size:17px;

}

.price-area{

    display:flex;

    align-items:center;

    gap:18px;

    margin-bottom:25px;

}

.price-area h2{

font-size:44px;

color: #FFF;
}

.price-area del{

    color:#999;

    font-size:23px;

}

.price-area label{

    background:#ffe9d9;

    color:#ff6b00;

    padding:8px 16px;

    border-radius:30px;

    font-size:14px;

    font-weight:600;

}

.short{

font-size:18px;

color: #FFF;

line-height:1.9;

margin-bottom:35px;
}


/*=========================
FORMAT
=========================*/

.formats{

    display:flex;

    gap:15px;

    margin-bottom:35px;

}

.formats button{

    padding:15px 28px;

    border-radius:50px;

    background:#fff;

    border:2px solid #eee;

    transition:.35s;

    font-size:16px;

}

.formats button:hover{

    border-color:#ff6b00;

}

.formats button.active{

background: #c9932f;

color:#fff;

border-color: #fff;
}


/*=========================
BUY ROW
=========================*/

.buy-row{

    display:flex;

    gap:18px;

    margin-bottom:35px;

}

.qty{

    display:flex;

    border:1px solid #ddd;

    border-radius:50px;

    overflow:hidden;

}

.qty button{

    width:50px;

    background:#fff;

    font-size:22px;

}

.qty input{

    width:55px;

    text-align:center;

    border:none;

    outline:none;

    font-size:18px;

}

.cart{

flex:1;

height:58px;

background: #787878;

color:#fff;

border-radius:50px;

font-size:18px;

transition:.35s;
}

.cart:hover{

    transform:translateY(-4px);

    background:#000;

}

.buy{

flex:1;

height:58px;

background: #c9932f;

color:#fff;

border-radius:50px;

font-size:18px;

transition:.35s;
}

.buy:hover{

    transform:translateY(-4px);

    background:#e95f00;

}


/*=========================
PAYPAL
=========================*/

.paypal-box{

    margin:35px 0;

    padding:28px;

    background:#fff;

    border-radius:20px;

    box-shadow:0 12px 30px rgba(0,0,0,.06);

}

.paypal-box h5{

    margin-bottom:18px;

    font-size:20px;

}

#paypal-button-container{

    height:52px;

    border:2px dashed #ccc;

    border-radius:12px;

    display:flex;

    justify-content:center;

    align-items:center;

    color:#999;

}

#paypal-button-container::after{

    content:"PayPal Button Will Appear Here";

}


/*=========================
FEATURES
=========================*/

.feature-grid{

display: none;

grid-template-columns:repeat(2,1fr);

gap:18px;

margin:40px 0;
}

.feature-grid div{

    background:#fff;

    border-radius:16px;

    padding:20px;

    display:flex;

    align-items:center;

    gap:12px;

    font-size:17px;

    box-shadow:0 12px 30px rgba(0,0,0,.06);

    transition:.35s;

}

.feature-grid div:hover{

    transform:translateY(-8px);

}


/*=========================
META
=========================*/

.book-meta{

display:grid;

grid-template-columns:repeat(2,1fr);

gap:18px;

display: none;
}

.book-meta div{

    background:#fff;

    padding:18px;

    border-radius:16px;

    box-shadow:0 10px 25px rgba(0,0,0,.05);

}

.book-meta strong{

    display:block;

    margin-bottom:6px;

}


/*=========================
TABS
=========================*/

.book-tabs{

padding:90px 0;

background: #c9932f;
}

.tabs{

    display:flex;

    gap:20px;

    margin-bottom:40px;

}

.tabs button{

    padding:16px 30px;

    border-radius:50px;

    background:#f2f2f2;

    transition:.35s;

}

.tabs button.active{

    background:#111;

    color:#fff;

}

.tab-content{

    background:#fff;

    border-radius:25px;

    padding:50px;

    box-shadow:0 15px 45px rgba(0,0,0,.06);

}

.tab-content h2{

    font-size:40px;

    margin-bottom:25px;

}

.tab-content p{

    color:#666;

    line-height:2;

    margin-bottom:18px;

    font-size:18px;

}


/*=========================
RESPONSIVE
=========================*/

@media(max-width:1100px){

.book-grid{

grid-template-columns:1fr;

}

}

@media(max-width:768px){

.book-hero{

padding:60px 0;

}

.book-gallery{

flex-direction:column-reverse;

}

.thumbs{

flex-direction:row;

justify-content:center;

}

.book-content h1{

font-size:38px;

}

.buy-row{

flex-direction:column;

}

.feature-grid{

grid-template-columns:1fr;

}

.book-meta{

grid-template-columns:1fr;

}

.tabs{

overflow:auto;

}

.tab-content{

padding:30px;

}

}


.hidden{
    opacity:0;
    transform:translateY(60px);
    transition:.8s;
}

.show{
    opacity:1;
    transform:translateY(0);
}

#mainImage{
    transition:.35s ease;
}

.tab-content{
    transition:.35s;
}


/*=========================
ABOUT BOOK
=========================*/

.about-book{

padding:100px 0;
display: none;
background:#fff;

}
.price-area h2,
.price-area del,
.price-area label{
    transition:.3s;
}
.about-grid{

display:grid;

grid-template-columns:1fr 1fr;

gap:70px;

align-items:center;

}

.about-image img{

width:100%;

border-radius:20px;

box-shadow:0 30px 60px rgba(0,0,0,.12);

transition:.5s;

}

.about-image img:hover{

transform:rotate(-2deg) scale(1.04);

}

.sub-title{

display:inline-block;

background:#fff3e9;

padding:10px 20px;

border-radius:30px;

color:#ff6b00;

font-weight:600;

margin-bottom:20px;

}

.about-content h2{

font-size:46px;

margin-bottom:20px;

}

.about-content p{

font-size:18px;

line-height:1.9;

color:#666;

margin-bottom:35px;

}

.book-highlights{

display:grid;

grid-template-columns:repeat(2,1fr);

gap:20px;

}

.book-highlights div{

padding:20px;

background:#fafafa;

border-radius:15px;

transition:.35s;

}

.book-highlights div:hover{

transform:translateY(-8px);

box-shadow:0 15px 40px rgba(0,0,0,.08);

}

/*=========================
AUTHOR
=========================*/

.author-section{

padding:110px 0;

background:#fafafa;

}

.author-grid{

display:grid;

grid-template-columns:1fr 1fr;

gap:80px;

align-items:center;

}

.author-image img{

width:100%;

border-radius:30px;

box-shadow:0 25px 60px rgba(0,0,0,.12);

}

.author-info{

display:flex;

gap:25px;

margin:40px 0;

}

.author-info div{

flex:1;

background:#fff;

padding:30px;

border-radius:18px;

text-align:center;

box-shadow:0 10px 30px rgba(0,0,0,.08);

}

.author-info h3{

font-size:36px;

color:#ff6b00;

}

.author-btn{

display:inline-block;

padding:18px 35px;

background:#111;

color:#fff;

border-radius:50px;

transition:.35s;

}

.author-btn:hover{

background:#ff6b00;

}

/*=========================
FEATURES
=========================*/

.book-features{

padding: 40px 0 50px;

background: #000;

text-align:center;
}

.book-features h2{

font-size:46px;

margin-bottom:60px;

color: #fff;
}

.feature-cards{

display:grid;

grid-template-columns:repeat(4,1fr);

gap:25px;

}

.feature-card{

background:#fff;

padding:40px 25px;

border-radius:25px;

box-shadow:0 15px 35px rgba(0,0,0,.08);

transition:.4s;

}

.feature-card:hover{

transform:translateY(-12px);

}

.icon{

font-size:50px;

margin-bottom:20px;

}

/*=========================
PREVIEW
=========================*/

.preview-section{

padding: 81px 0;

background: #c9932f;

text-align:center;
}

.preview-section h2{

font-size:46px;

margin-bottom:60px;

color: #fff;
}

.preview-grid{

display:grid;

grid-template-columns:repeat(3,1fr);

gap:30px;

}

.preview-grid img{

width:100%;

border-radius:20px;

box-shadow: 0 20px 45px rgb(0 0 0 / 12%);

transition:.4s;
}

.preview-grid img:hover{

transform:translateY(-12px) scale(1.04);

}

/*=========================
RESPONSIVE
=========================*/

@media(max-width:991px){

.about-grid,
.author-grid,
.feature-cards,
.preview-grid{

grid-template-columns:1fr;

}

.book-highlights{

grid-template-columns:1fr;

}

.author-info{

flex-direction:column;

}

}


.book-table{
    width:100%;
    border-collapse:collapse;
    margin-top:20px;
}

.book-table tr{
    border-bottom:1px solid #ececec;
}

.book-table td{
    padding:15px;
}

.book-table td:first-child{
    width:220px;
    font-weight:600;
    color:#333;
}

.book-list{
    margin-top:20px;
    padding-left:20px;
}

.book-list li{
    margin:12px 0;
}

.review-summary{
    margin-bottom:30px;
}

.review-card{
    padding:20px;
    background:#fff;
    border:1px solid #eee;
    border-radius:12px;
    margin-bottom:20px;
}

.review-card h4{
    color:#ff9800;
    margin-bottom:10px;
}

.review-card span{
    display:block;
    margin-top:12px;
    color:#666;
    font-size:14px;
}


/* =====================================
RESPONSIVE CSS
===================================== */

/* Laptop */
@media (max-width:1200px){

.container{
    width:95%;
}

.book-grid{
    gap:40px;
}

.book-content h1{
    font-size:42px;
}

.price-area h2{
    font-size:38px;
}

}


/* Tablet */

@media (max-width:991px){

.book-grid{
    grid-template-columns:1fr;
    gap:50px;
}

.book-gallery{
    flex-direction:column-reverse;
    align-items:center;
}

.thumbs{
    flex-direction:row;
    justify-content:center;
    flex-wrap:wrap;
}

.thumb{
    width:80px;
    height:100px;
}

.main-book{
    width:100%;
}

.main-book img{
    max-height:450px;
    object-fit:contain;
}

.book-content{
    width:100%;
}

.book-content h1{
    font-size:36px;
}

.price-area{
    flex-wrap:wrap;
}

.buy-row{
    flex-wrap:wrap;
}

.qty{
    width:100%;
    justify-content:center;
}

.qty input{
    width:60px;
}

.cart,
.buy{
    width:100%;
}

.feature-grid{
    grid-template-columns:1fr 1fr;
}

.book-meta{
    grid-template-columns:1fr 1fr;
}

.tabs{
    overflow:auto;
    white-space:nowrap;
    padding-bottom:10px;
}

.tab-content{
    padding:30px;
}

.book-table td:first-child{
    width:160px;
}

}


/* Mobile */

@media (max-width:768px){

.book-hero{
    padding:50px 0;
}

.book-grid{
    gap:30px;
}

.book-gallery{
    gap:20px;
}

.thumbs{
    gap:10px;
}

.thumb{
    width:65px;
    height:80px;
}

.main-book{
    padding:20px;
}

.main-book img{
    max-height:300px;
}

.badge{
    font-size:12px;
    padding:7px 14px;
}

.stock{
    font-size:12px;
}

.book-content h1{
    font-size:30px;
    line-height:1.2;
}

.author{
    font-size:16px;
}

.rating{
    font-size:16px;
}

.rating span{
    font-size:14px;
}

.price-area{
    gap:10px;
}

.price-area h2{
    font-size:32px;
}

.price-area del{
    font-size:18px;
}

.short{
    font-size:15px;
}

.formats{
    flex-wrap:wrap;
}

.formats button{
    flex:1;
    min-width:110px;
}

.buy-row{
    flex-direction:column;
}

.qty,
.cart,
.buy{
    width:100%;
    border: none;
}

.paypal-box{
    padding:18px;
}

.feature-grid{
    grid-template-columns:1fr;
}

.book-meta{
    grid-template-columns:1fr;
}

.book-tabs{
    padding:60px 0;
}

.tabs{
    gap:10px;
}

.tabs button{
    padding:12px 18px;
    font-size:14px;
}

.tab-content{
    padding:20px;
}

.tab-content h2{
    font-size:26px;
}

.tab-content p{
    font-size:15px;
    line-height:1.8;
}

.book-table{
    display:block;
    overflow-x:auto;
}

.review-card{
    padding:15px;
}

}


/* Small Mobile */

@media (max-width:480px){

.container{
    width:92%;
}

.book-content h1{
    font-size:26px;
}

.price-area h2{
    font-size:28px;
}

.price-area del{
    font-size:16px;
}

.formats button{
    width:100%;
}

.buy{
    height:52px;
}

.cart{
    height:52px;
}

.thumb{
    width:55px;
    height:70px;
}

.main-book{
    border-radius:18px;
    height: auto;
}

.main-book img{
    max-height:250px;
}

.book-meta div{
    padding:15px;
}

.feature-grid div{
    padding:15px;
}
.preview-section h2 {
    font-size: 37px;
    margin-bottom: 60px;
    color: #fff;
}

}